# CUpti_ActivityInstructionCorrelation Struct Reference
[CUPTI Activity API]

The activity record for source-level sass/source line-by-line correlation. More...

## Data Fields
CUpti_ActivityFlag | flags
uint32_t | functionId
CUpti_ActivityKind | kind
uint32_t | pad
uint32_t | pcOffset
uint32_t | sourceLocatorId

## Detailed Description

This activity records source level sass/source correlation information. (CUPTI_ACTIVITY_KIND_INSTRUCTION_CORRELATION).

## Field Documentation

CUpti_ActivityFlag CUpti_ActivityInstructionCorrelation::flags

The properties of this instruction.

uint32_t CUpti_ActivityInstructionCorrelation::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityInstructionCorrelation::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTRUCTION_CORRELATION.

uint32_t CUpti_ActivityInstructionCorrelation::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityInstructionCorrelation::pcOffset

The pc offset for the instruction.

uint32_t CUpti_ActivityInstructionCorrelation::sourceLocatorId

The ID for source locator.